Package fr.gouv.vitam.functional.administration.rest

# Class OntologyResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.OntologyResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class OntologyResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OntologyResource(OntologyService ontologyService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `findOntologies(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find ontologies by queryDsl
  `jakarta.ws.rs.core.Response`
  `findOntologiesForCache(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find ontologies for cache by queryDsl
  `jakarta.ws.rs.core.Response`
  `importOntologies(boolean forceUpdate, List<OntologyModel> ontologyModelList, jakarta.ws.rs.core.UriInfo uri)`
  Import a set of ontologies metadata.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OntologyResource

    public OntologyResource(OntologyService ontologyService)
    Parameters:
      `ontologyService` -

- ## Method Details

  - ### importOntologies

    @Path("/ontologies") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response importOntologies(@HeaderParam("Force-Update") boolean forceUpdate, List<OntologyModel> ontologyModelList, @Context jakarta.ws.rs.core.UriInfo uri)
    Import a set of ontologies metadata. If all the ontologies are valid, they will be stored in the ontology collection and indexed. The input is invalid in the following situations :
    - The json is invalid
    - The json contains an already used identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    Parameters:
      `ontologyModelList` - as InputStream
      `uri` - the uri info
    Returns:
      Response

  - ### findOntologies

    @GET @Path("/ontologies") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findOntologies(com.fasterxml.jackson.databind.JsonNode queryDsl)
    Find ontologies by queryDsl
    Parameters:
      `queryDsl` -
    Returns:
      Response

  - ### findOntologiesForCache

    @GET @Path("/ontologies/cache") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findOntologiesForCache(com.fasterxml.jackson.databind.JsonNode queryDsl)
    Find ontologies for cache by queryDsl
    Parameters:
      `queryDsl` -
    Returns:
      Response